<?php

require_once('/usr/local/www/berogui/includes/Helper.php');
require_once('/usr/local/php/include/confBackup.Class.php');

class apiCall {

	private $_name, $_get, $_post, $_files, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'ConfigurationRestoreBackup';
		$this->_get = $get;
		$this->_post = $post;
		$this->_files = $files;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		$fileName = $this->_files['BackupFile']['name'];
		$tempFile = $this->_files['BackupFile']['tmp_name'];

		$cb = new confBackup();
		switch ($cb->verifyFileName($fileName)) {
		case 0:
			$this->_execResultString = 'error:invalid_filename';
			$this->_execResult = false;
			return($this->_execResult);
		case 1:
			$res = $cb->installConfFile($fileName, $tempFile);
			break;
		case 2:
		case 3:
			$res = $cb->installFullBackup($fileName, $tempFile);
			break;
		}

		if ($res == false) {
			$this->_execResultString = 'error:' . $fileName;
			$this->_execResult = false;
			return($this->_execResult);
		}

		ini_to_db(0);
		Helper::activate(3);

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
